export declare function getForQuery(connectionUrl: string, query: string): Promise<ResponseModel.Type>;
export declare namespace ResponseModel {
    type Type = ErrorResponse | SuccessResponse;
    interface ErrorResponse {
        responseType: 'error';
        responseData: ErrorResponseData;
    }
    interface SuccessResponse {
        responseType: 'success';
        responseData: SuccessResponseData;
    }
    interface ErrorResponseData {
        message: string;
    }
    type SuccessResponseData = {
        hasRows: false;
    } | {
        hasRows: true;
        keys: Array<string>;
        rows: Array<Array<any>>;
    };
    function createError(message: string): ErrorResponse;
    function createNotFoundError(): ErrorResponse;
    function match<U>(response: Type, onSuccessWithRows: (keys: Array<string>, rows: Array<Array<any>>) => U, onSuccessNoRows: () => U, onError: (_: ErrorResponseData) => U): U;
}
