export declare function getTableStructure(connectionUrl: string, tableName: string): Promise<TableStructureResponse.Type>;
export declare namespace TableStructureResponse {
    type Type = ErrorResponse | SuccessResponse;
    interface ErrorResponse {
        responseType: 'error';
        responseData: ErrorResponseData;
    }
    interface SuccessResponse {
        responseType: 'success';
        responseData: SuccessResponseData;
    }
    type SuccessResponseData = {
        keys: Array<string>;
        rows: Array<Array<any>>;
    };
    interface ErrorResponseData {
        message: string;
    }
    function createError(message: string): ErrorResponse;
    function createNotFoundError(): ErrorResponse;
    function match<U>(response: Type, onSuccess: (keys: Array<string>, rows: Array<Array<any>>) => U, onError: (_: ErrorResponseData) => U): U;
}
