"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const widgets_1 = require("@phosphor/widgets");
const apputils_1 = require("@jupyterlab/apputils");
const services_1 = require("../services");
var ToolbarItems;
(function (ToolbarItems) {
    class TextItem extends widgets_1.Widget {
        constructor(value) {
            super();
            this.addClass('p-Sql-Toolbar-text');
            this.node.innerText = value;
        }
    }
    ToolbarItems.TextItem = TextItem;
    class ConnectionUrlItem extends widgets_1.Widget {
        constructor(url) {
            super();
            this.addClass('p-Sql-Toolbar-text');
            this.node.innerText = services_1.ConnectionUrl.sanitize(url);
        }
    }
    ToolbarItems.ConnectionUrlItem = ConnectionUrlItem;
    class BackButton extends apputils_1.ToolbarButton {
        constructor(options) {
            super({
                iconClassName: 'jp-UndoIcon jp-Icon jp-Icon-16',
                onClick: options.onClick
            });
        }
    }
    ToolbarItems.BackButton = BackButton;
    class RefreshButton extends apputils_1.ToolbarButton {
        constructor(options) {
            super({
                iconClassName: 'jp-RefreshIcon jp-Icon jp-Icon-16',
                onClick: options.onClick
            });
        }
    }
    ToolbarItems.RefreshButton = RefreshButton;
    class LoadingIcon extends widgets_1.Widget {
        constructor() {
            super();
            ['jp-Toolbar-kernelStatus', 'jp-Icon', 'jp-Icon-16'].forEach(className => this.addClass(className));
            this.setLoading(false);
        }
        setLoading(isLoading) {
            if (isLoading) {
                this.removeClass('jp-CircleIcon');
                this.addClass('jp-FilledCircleIcon');
            }
            else {
                this.removeClass('jp-FilledCircleIcon');
                this.addClass('jp-CircleIcon');
            }
        }
    }
    ToolbarItems.LoadingIcon = LoadingIcon;
})(ToolbarItems = exports.ToolbarItems || (exports.ToolbarItems = {}));
