import { ISignal } from '@phosphor/signaling';
import { VDomModel, VDomRenderer } from '@jupyterlab/apputils';
export interface IConnectionEditorModel {
    readonly connectionUrl: string;
    readonly connect: ISignal<this, string>;
    readonly connectionUrlChanged: ISignal<this, string>;
}
export declare class ConnectionEditorModel extends VDomModel implements IConnectionEditorModel {
    constructor(initialConnectionUrl: string);
    tryConnect(connectionUrl: string): void;
    connectionUrl: string;
    readonly connect: ISignal<this, string>;
    readonly connectionUrlChanged: ISignal<this, string>;
    private _connectionUrl;
    private readonly _connectionUrlChanged;
    private readonly _connect;
}
export declare class ConnectionEditor extends VDomRenderer<ConnectionEditorModel> {
    static withModel(model: ConnectionEditorModel): ConnectionEditor;
    onActivateRequest(): void;
    render(): JSX.Element;
}
