import { Widget } from '@phosphor/widgets';
import { ISignal } from '@phosphor/signaling';
import { IEditorFactoryService } from '@jupyterlab/codeeditor';
import { Toolbar } from '@jupyterlab/apputils';
import { JupyterLabSqlPage } from '../page';
declare namespace QueryPage {
    interface IOptions {
        editorFactory: IEditorFactoryService;
        connectionUrl: string;
        initialSqlStatement: string;
    }
}
export declare class QueryPage implements JupyterLabSqlPage {
    constructor(options: QueryPage.IOptions);
    readonly toolbar: Toolbar;
    readonly content: Widget;
    readonly backButtonClicked: ISignal<this, void>;
    readonly sqlStatementChanged: ISignal<this, string>;
    readonly isDisposed: boolean;
    dispose(): void;
    private _onExecutionStarted;
    private _onExecutionFinished;
    readonly pageName = PageName.CustomQuery;
    private readonly _content;
    private readonly _toolbar;
    private readonly _disposables;
    private readonly _backButtonClicked;
    private readonly _sqlStatementChanged;
}
export {};
