import { IDisposable } from '@phosphor/disposable';
import { DataGrid } from '@phosphor/datagrid';
export declare type RowSection = 'outside' | 'column-header' | 'row';
export declare type ColumnSection = 'outside' | 'row-header' | 'column';
export interface GridMouseEvent {
    row: Row;
    column: Column;
    rawEvent: MouseEvent;
}
export interface Row {
    section: RowSection;
    index: number | null;
}
export interface Column {
    section: ColumnSection;
    index: number | null;
}
export declare function addMouseEventListener(eventType: 'click' | 'contextmenu' | 'dblclick', grid: DataGrid, listener: (event: GridMouseEvent) => void): IDisposable;
