import { Widget } from '@phosphor/widgets';
import { ISignal } from '@phosphor/signaling';
import { IEditorFactoryService } from '@jupyterlab/codeeditor';
import { PageName } from './page';
declare namespace JupyterLabSqlWidget {
    interface IOptions {
        name: string;
        pageName: PageName;
        connectionUrl: string;
        tableName: string;
        sqlStatement: string;
    }
}
export declare class JupyterLabSqlWidget extends Widget {
    constructor(editorFactory: IEditorFactoryService, options: JupyterLabSqlWidget.IOptions);
    readonly connectionUrl: string;
    readonly tableName: string;
    readonly sqlStatement: string;
    readonly pageChanged: ISignal<this, void>;
    readonly connectionUrlChanged: ISignal<this, string>;
    readonly tableNameChanged: ISignal<this, string>;
    readonly sqlStatementChanged: ISignal<this, string>;
    onActivateRequest(): void;
    onCloseRequest(): void;
    private _createWidgetLayout;
    private _configureTitle;
    private _setInitialPage;
    private toolbar;
    private page;
    private _setConnectionUrl;
    private _setTableName;
    private _setSqlStatement;
    private _loadConnectionPage;
    private _loadSummaryPage;
    private _loadQueryPage;
    private _loadTableSummaryPage;
    /**
     * Give focus to the content.
     */
    private _focusContent;
    readonly editorFactory: IEditorFactoryService;
    readonly name: string;
    pageName: PageName;
    private _connectionUrl;
    private _tableName;
    private _toolbar;
    private _sqlStatement;
    private _page;
    private readonly content;
    private readonly _pageChanged;
    private readonly _connectionUrlChanged;
    private readonly _tableNameChanged;
    private readonly _sqlStatementChanged;
}
export {};
